
const {getData} = require('./core');

function addFileData(images){
	const getters = images.map(getFileData);
	return Promise.all(getters);
}

function getFileData(image){
	return getData('/files', image.fileId);
}

module.exports = (itemID) => {
	return Promise.resolve(
		getData('/imagesInEstates', {estateId: itemID}).then(addFileData)
	);
}
